﻿using System.IO;
using System.Drawing.Imaging;

using Spire.Xls;

namespace _511XlsToImage
{
    class Program
    {
        static void Main(string[] args)
        {
            Workbook workbook = new Workbook();
            workbook.LoadFromFile(@"..\..\data.xls", ExcelVersion.Version97to2003);

            Worksheet sheet1 = workbook.Worksheets[0];
            FileStream fileStrWhole = new FileStream(@"..\..\test.txt", FileMode.OpenOrCreate);

            FileStream fileStr = new FileStream(@"..\..\stream.png", FileMode.OpenOrCreate);

            //save the whole sheet as an image
            sheet1.SaveToImage(@"..\..\whole.png");

            //save the whole into a stream
            sheet1.SaveToStream(fileStrWhole, ",");

            //save the specific ranges as an image 
            sheet1.SaveToImage(1, 1, 5, 6).Save(fileStr, ImageFormat.Png);
        }
    }
}
